Lhaz
targetver.h
[詳解]
1 #pragma once
2 
3 // 以下のマクロは、最低限必要なプラットフォームを定義します。最低限必要なプラットフォームとは、
4 // アプリケーションを実行するために必要な機能を備えた最も古いバージョンの Windows や Internet Explorer など
5 // をいいます。これらのマクロは、指定したバージョンと、それ以前のバージョンのプラットフォーム上で利用できるすべての機能を有効にすることによって
6 // 動作します。
7 
8 // 下で指定された定義の前に対象プラットフォームを指定しなければならない場合、以下の定義を変更してください。
9 // 異なるプラットフォームに対応する値に関する最新情報については、MSDN を参照してください。
10 #ifndef WINVER // 最低限必要なプラットフォームが Windows Vista であることを指定します。
11 #define WINVER 0x0600 // これを Windows の他のバージョン向けに適切な値に変更してください。
12 #endif
13 
14 #ifndef _WIN32_WINNT // 最低限必要なプラットフォームが Windows Vista であることを指定します。
15 #define _WIN32_WINNT 0x0600 // これを Windows の他のバージョン向けに適切な値に変更してください。
16 #endif
17 
18 #ifndef _WIN32_WINDOWS // 最低限必要なプラットフォームが Windows 98 であることを指定します。
19 #define _WIN32_WINDOWS 0x0410 // これを Windows Me またはそれ以降のバージョン向けに適切な値に変更してください。
20 #endif
21 
22 #ifndef _WIN32_IE // 最低限必要なプラットフォームが Internet Explorer 7.0 であることを指定します。
23 #define _WIN32_IE 0x0700 // これを IE の他のバージョン向けに適切な値に変更してください。
24 #endif